# Usage
1.Add dependency to `pubspec.yaml`
```
    dependencies:
      custom_code_analysis: ^0.0.3
```
2.Add configuration to `analysis_options.yaml`
```
    analyzer:
      plugins:
        - custom_code_analysis
    
    custom_code_analysis:
      exclude:
          - "test/**"
      rules:
        - avoid_using_show_bottom_modal_sheet
        - avoid_using_show_bottom_sheet
        - clickable_widget_id_missing
        - avoid_using_show_date_picker
        - avoid_using_show_date_range_picker
        - avoid_using_show_dialog
        - avoid_using_show_general_dialog
        - avoid_using_show_menu
        - avoid_using_show_search
        - avoid_using_show_time_picker
        - avoid_using_colors
```

# Rules
- clickable-widget-id-missing
- avoid-using-show-bottom-modal-sheet
- avoid-using-show-bottom-sheet
- avoid-using-show-date-picker
- avoid-using-show-date-range-picker
- avoid-using-show-dialog
- avoid-using-show-general-dialog
- avoid-using-show-menu
- avoid-using-show-search
- avoid-using-show-time-picker
- avoid-using-colors